diff --recursive --unified=5 src/main-ros.c src-riscos/main-ros.c
--- src/main-ros.c	Sun May 12 17:18:12 2002
+++ src-riscos/main-ros.c	Thu May 30 16:52:56 2002
@@ -6857,152 +7452,166 @@
  | is used to allow the compression to be applied just once.
  | (otherwise it has to be done twice - once to determine the
  | eventual compressed size and once to actually store and compress
  | it).
  */
-static FileCacheEntry *cache_file( char *name )
+static FileCacheEntry *cache_file(char *name)
 {
-	int i,size=0;
+	int i, size = 0;
 	FILE *fp;
 	char buffer[1024];
 	char *d;
 
-	FILE *tf = NULL;			/* Used if abbr_filecache and abbr_tmpfile are set */
-	char cfn[1024];				/* Used if abbr_filecache and abbr_tmpfile are set */
+	FILE *tf = NULL;	/* Used if abbr_filecache and abbr_tmpfile are set */
+	char cfn[1024];	/* Used if abbr_filecache and abbr_tmpfile are set */
 
 	/* Find the first free slot in the cache */
-	for ( i=0; i<MAX_CACHE_ENTRIES; i++ )
-		if ( !file_cache[i].name )
+	for (i = 0; i < MAX_CACHE_ENTRIES; i++)
+		if (!file_cache[i].name)
 			break;
 
 	/* No more entries? */
-	if ( i>=MAX_CACHE_ENTRIES ) { return NULL; }
+	if (i >= MAX_CACHE_ENTRIES)
+	{
+		return NULL;
+	}
 
 	/* Set up the info on the file */
-	if ( (file_cache[i].name = string_cpy(name))==NULL ) { return NULL; }
+	if ((file_cache[i].name = string_cpy(name)) == NULL)
+	{
+		return NULL;
+	}
 
 	/* Open the file */
-	fp = my_fopen( name, "r" );
-	if ( !fp )
+	fp = my_fopen(name, "r");
+	if (!fp)
 	{
-		fc_free( file_cache[i].name );
+		fc_free(file_cache[i].name);
 		file_cache[i].name = 0;
 		return NULL;
 	}
 
 	/* Open/create tempfile if need be: */
-	if ( abbr_filecache && abbr_tmpfile )
+	if (abbr_filecache && abbr_tmpfile)
 	{
 		/* Hack: Form the pathname of the cached compressed file (in canonical form) */
-		sprintf(cfn,"%s%s",scrap_path,riscosify_name(name+strlen(resource_path)));
+		sprintf(cfn, "%s%s", scrap_path,
+				riscosify_name(name + strlen(resource_path)));
 		/* Ensure that that particular directory exists... */
-		ensure_path( cfn );
+		ensure_path(cfn);
 		/* Check whether cache file is out of date */
-		if ( file_is_newer( riscosify_name(name), cfn ) )
+		if (file_is_newer(riscosify_name(name), cfn))
 		{
-			tf = fopen( cfn, "wb" );
+			tf = fopen(cfn, "wb");
 			size = 0;
 		}
 		else
 		{
-			tf = fopen( cfn, "rb" );
-			if ( tf ) { size = myFile_Size( cfn ); }
+			tf = fopen(cfn, "rb");
+			if (tf)
+			{
+				size = myFile_Size(cfn);
+			}
 		}
 	}
 
 	/* If we don't have the cached file (but want it), compress the source text to it */
-	if ( tf )
+	if (tf)
 	{
-		if ( !size )
+		if (!size)
 		{
 			int k;
-			while ( !my_fgets(fp,buffer,1024) )
+			while (!my_fgets(fp, buffer, 1024))
 			{
-				if ( smart_filecache && (!*buffer || *buffer=='#') )
+				if (smart_filecache && (!*buffer || *buffer == '#'))
 					continue;
-				k = compress_string( buffer, buffer );
-				if ( fwrite(buffer,1,k,tf) != k )
+				k = compress_string(buffer, buffer);
+				if (fwrite(buffer, 1, k, tf) != k)
 				{
 					fclose(tf);
 					remove(cfn);
 					core("error writing tempfile");
 				}
 				size += k;
 			}
 			fclose(tf);
-			tf = fopen( cfn, "rb" );
+			tf = fopen(cfn, "rb");
 		}
 	}
 	else
 	{
 		/* Count the number of bytes */
-		while ( !my_fgets(fp,buffer,1024) )
+		while (!my_fgets(fp, buffer, 1024))
 		{
-			if ( smart_filecache && (!*buffer || *buffer=='#') )
+			if (smart_filecache && (!*buffer || *buffer == '#'))
 				continue;
-			if ( abbr_filecache )
-				size += compressed_length( buffer );
+			if (abbr_filecache)
+				size += compressed_length(buffer);
 			else
 				size += strlen(buffer) + 1;
 		}
 	}
 
 	/* Close the (source) file */
-	my_fclose( fp );
+	my_fclose(fp);
 
 	/* Allocate enough storage for the text */
-	file_cache[i].text = fc_malloc( size + 1L );
-	if ( !file_cache[i].text )
+	file_cache[i].text = fc_malloc(size + 1L);
+	if (!file_cache[i].text)
 	{
-		fc_free( file_cache[i].name );
+		fc_free(file_cache[i].name);
 		file_cache[i].name = 0;
-		if ( tf ) { fclose(tf); }
+		if (tf)
+		{
+			fclose(tf);
+		}
 		return NULL;
 	}
 
 	/* Do we have a tempfile to load? */
-	if ( tf )
+	if (tf)
 	{
-		if ( fread( file_cache[i].text, 1, size, tf ) != size )
+		if (fread(file_cache[i].text, 1, size, tf) != size)
 			core("error reading tempfile");
 		fclose(tf);
 	}
 	else
 	{
 		/* Re-open the file... */
-		fp = my_fopen( name, "r" );
-		if ( !fp )
+		fp = my_fopen(name, "r");
+		if (!fp)
 		{
-			fc_free( file_cache[i].name );
-			fc_free( file_cache[i].text );
+			fc_free(file_cache[i].name);
+			fc_free(file_cache[i].text);
 			file_cache[i].name = 0;
 			return NULL;
 		}
 
 		/* And read it into the buffer... */
 		d = file_cache[i].text;
-		while ( !my_fgets(fp,buffer,1024) )
+		while (!my_fgets(fp, buffer, 1024))
 		{
-			if ( smart_filecache && (!*buffer || *buffer=='#') )
+			if (smart_filecache && (!*buffer || *buffer == '#'))
 				continue;
-			if ( abbr_filecache )
-				d += compress_string( d, buffer );
+			if (abbr_filecache)
+				d += compress_string(d, buffer);
 			else
 			{
-				strcpy(d,buffer);
+				strcpy(d, buffer);
 				d += strlen(buffer) + 1;
 			}
 		}
 
-		if ( (d - file_cache[i].text) != size )
+		if ((d - file_cache[i].text) != size)
 		{
-			debug("Calculated size is %d, pointer offset is %d",size,(d - file_cache[i].text) );
+			debug("Calculated size is %d, pointer offset is %d", size,
+				  (d - file_cache[i].text));
 			core("Cached file is larger than calculated!");
 		}
 
 		/* Close the file */
-		my_fclose( fp );
+		my_fclose(fp);
 	}
 
 	/* Set up the 'last accessed' value, etc. */
 	file_cache[i].used = fc_access_counter++;
 	file_cache[i].eof = file_cache[i].text + size;
@@ -7015,83 +7624,89 @@
 
 
 /*
  | Discard a file from the cache
  */
-static void discard_cached_file( int i )
+static void discard_cached_file(int i)
 {
-	if ( !file_cache[i].name ) { return; }				/* invalid request */
-	fc_free( file_cache[i].text );
-	fc_free( file_cache[i].name );
-	file_cache_size -= (file_cache[i].eof)-(file_cache[i].text);
+	if (!file_cache[i].name)
+	{
+		return;
+	}							/* invalid request */
+	fc_free(file_cache[i].text);
+	fc_free(file_cache[i].name);
+	file_cache_size -= (file_cache[i].eof) - (file_cache[i].text);
 	file_cache[i].name = 0;
 }
 
 
 /*
  | Attempt to flush as much of the cache as required
  | to bring it within the size limit.
  | If protect != 0 then that entry in the cache won't be flushed.
  */
-static void flush_file_cache( FileCacheEntry *protect )
+static void flush_file_cache(FileCacheEntry * protect)
 {
-	int i,j, done;
+	int i, j, done;
 	int oldest_u, oldest_e;
 	FileCacheEntry *fce;
-	int needed = (4<<10);		/* Hack: try to free at least 4K */
+	int needed = (4 << 10);	/* Hack: try to free at least 4K */
 
-	done = (file_cache_size+needed)<=max_file_cache_size;
+	done = (file_cache_size + needed) <= max_file_cache_size;
 
-	while ( !done )
+	while (!done)
 	{
 		oldest_u = fc_access_counter;
 		oldest_e = -1;
 
 		fce = file_cache;
 		/* Find oldest entry that isn't in use */
-		for ( i=0; i<MAX_CACHE_ENTRIES; fce++,i++ )
+		for (i = 0; i < MAX_CACHE_ENTRIES; fce++, i++)
 		{
-			if ( fce == protect ) { continue; }		/* Hack ;) */
-			if ( fce->name )						/* Is this cache slot full? */
+			if (fce == protect)
+			{
+				continue;
+			}					/* Hack ;) */
+			if (fce->name)		/* Is this cache slot full? */
 			{
-				for ( j=0; j<MAX_OPEN_CACHED_FILES; j++ )
-					if ( cached_file_handle[j].fce == fce )
+				for (j = 0; j < MAX_OPEN_CACHED_FILES; j++)
+					if (cached_file_handle[j].fce == fce)
 						break;
-				if ( j<MAX_OPEN_CACHED_FILES )
-					continue;						/* Cached file is still open */
-				if ( fce->used < oldest_u )
+				if (j < MAX_OPEN_CACHED_FILES)
+					continue;	/* Cached file is still open */
+				if (fce->used < oldest_u)
 				{
 					oldest_e = i;
 					oldest_u = file_cache[i].used;
 				}
 			}
 		}
 
-		if ( oldest_e<0 )
-			done = 1;								/* We can flush nothing more */
+		if (oldest_e < 0)
+			done = 1;			/* We can flush nothing more */
 		else
 		{
 			discard_cached_file(oldest_e);
-			done = (file_cache_size+needed)<=max_file_cache_size;
+			done = (file_cache_size + needed) <= max_file_cache_size;
 		}
 	}
 }
 
 
 /*
  | Locate the specified file within the cache.
  | Returns NULL if the file is not cached
  */
-static FileCacheEntry *find_cached_file( char *name )
+static FileCacheEntry *find_cached_file(char *name)
 {
 	int i;
 	FileCacheEntry *fce = file_cache;
 
-	for ( i=0; i<MAX_CACHE_ENTRIES; i++, fce++ )
+	for (i = 0; i < MAX_CACHE_ENTRIES; i++, fce++)
 	{
-		if ( fce->name )
-			if ( streq( fce->name, name ) )
+		if (fce->name)
+			if (streq(fce->name, name))
 				return fce;
 	}
 	return NULL;
 }
 
@@ -7114,127 +7729,139 @@
  | is only ever accessed via cached_fgets() and cached_fclose().
  |
  | Failure to do so will result in, ahem, unpleasantness.  Extreme
  | unpleasantness.
  */
-FILE *cached_fopen( char *name, char *mode )
+FILE *cached_fopen(char *name, char *mode)
 {
 	FileCacheEntry *fcs = NULL;
 	int fch;
 
-	if ( strcmp(mode,"r") || !use_filecache )
-		return my_fopen(name,mode);
+	if (strcmp(mode, "r") || !use_filecache)
+		return my_fopen(name, mode);
 
-	if ( !file_cache_initd ) { init_file_cache(); }
+	if (!file_cache_initd)
+	{
+		init_file_cache();
+	}
 
-	if ( max_file_cache_size>=0 )
+	if (max_file_cache_size >= 0)
 	{
 		/* Find a free cache entry */
-		for ( fch=0; fch<MAX_OPEN_CACHED_FILES; fch++ )
-			if ( !cached_file_handle[fch].fce )
+		for (fch = 0; fch < MAX_OPEN_CACHED_FILES; fch++)
+			if (!cached_file_handle[fch].fce)
 				break;
 
 		/* Out of handles? */
-		if ( fch>=MAX_OPEN_CACHED_FILES )
-			return my_fopen(name,mode);
+		if (fch >= MAX_OPEN_CACHED_FILES)
+			return my_fopen(name, mode);
 
 		/* Is the file already cached? */
-		fcs = find_cached_file( name );
-		if ( !fcs )
+		fcs = find_cached_file(name);
+		if (!fcs)
 		{
 			/* File wasn't cached, so cache it */
-			flush_file_cache( NULL );				/* Clean stuff out of the cache if need be */
-			fcs = cache_file( name );				/* Cache the new file */
-			flush_file_cache( fcs );				/* Flush, but keep the latest file */
+			flush_file_cache(NULL);	/* Clean stuff out of the cache if need be */
+			fcs = cache_file(name);	/* Cache the new file */
+			flush_file_cache(fcs);	/* Flush, but keep the latest file */
 		}
 	}
 
 	/* Did we fail to cache the file? */
-	if ( !fcs ) { return my_fopen( name,mode ); }
+	if (!fcs)
+	{
+		return my_fopen(name, mode);
+	}
 
 	/* File was cached OK */
 	cached_file_handle[fch].ptr = fcs->text;	/* Init sequential pointer */
-	cached_file_handle[fch].fce = fcs;			/* Cache block pointer */
-	fcs->used = fc_access_counter++;			/* Opening the file counts as an access */
+	cached_file_handle[fch].fce = fcs;	/* Cache block pointer */
+	fcs->used = fc_access_counter++;	/* Opening the file counts as an access */
 
-	return (FILE*) (&cached_file_handle[fch]);
+	return (FILE *)(&cached_file_handle[fch]);
 }
 
 
 /*
  | Close a file
  */
-errr cached_fclose( FILE *fch_ )
+errr cached_fclose(FILE *fch_)
 {
 	CachedFileHandle *fch;
 
 	/* Is the FILE* genuine? */
-	if ( (fch_ < (FILE*)cached_file_handle) || (fch_ > max_cfh_addr ) )
-		return my_fclose( fch_ );
+	if ((fch_ < (FILE *)cached_file_handle) || (fch_ > max_cfh_addr))
+		return my_fclose(fch_);
 
-	fch = (CachedFileHandle*) fch_;
+	fch = (CachedFileHandle *) fch_;
 
 	/* Check for "Ooopses": */
-	if ( fch->fce == NULL )
+	if (fch->fce == NULL)
 		core("cached_fclose called on a non-open file handle");
 
-	flush_file_cache( NULL );	/* Clean out the cache if need be */
+	flush_file_cache(NULL);		/* Clean out the cache if need be */
 	fch->fce = NULL;			/* Mark file handle as inactive */
 
 	return 0;
 }
 
 
 /*
  | Do the my_fgets thing on a file
  */
-errr cached_fgets( FILE *fch_, char *buffer, int max_len )
+errr cached_fgets(FILE *fch_, char *buffer, int max_len)
 {
 	CachedFileHandle *fch;
 	char *eof;
 	char *ptr;
 
 	/* Is the FILE* genuine? */
-	if ( (fch_ < (FILE*)cached_file_handle) || (fch_ > max_cfh_addr ) )
-		return my_fgets( fch_, buffer, max_len );
+	if ((fch_ < (FILE *)cached_file_handle) || (fch_ > max_cfh_addr))
+		return my_fgets(fch_, buffer, max_len);
 
-	fch = (CachedFileHandle*) fch_;
+	fch = (CachedFileHandle *) fch_;
 
 	/* Check for "Oopses": */
-	if ( !file_cache_initd )
+	if (!file_cache_initd)
 		core("cached_fgets() on uninitialised file-cache");
-	if ( !fch->fce )
+	if (!fch->fce)
 		core("cached_fgets called for a un-open file");
 
 	eof = fch->fce->eof;
 	ptr = fch->ptr;
 
 	/* Out of bounds? */
-	if ( ptr >= eof ) { return 1; }						/* Read failed */
+	if (ptr >= eof)
+	{
+		return 1;
+	}							/* Read failed */
 
 	/*
-	 | Read the next line, up to \0 (which would have v=been \n in the original file),
-	 | or max_len-1 characters
+	   | Read the next line, up to \0 (which would have v=been \n in the original file),
+	   | or max_len-1 characters
 	 */
-	if ( fch->fce->compressed )
-		ptr += decompress_string( buffer, ptr, max_len );
+	if (fch->fce->compressed)
+		ptr += decompress_string(buffer, ptr, max_len);
 	else
 	{
-		if ( eof-ptr < max_len ) { max_len = eof-ptr; }
-		for ( ; max_len>=1 ; max_len-- )
-			if ( (*buffer++ = *ptr++) == 0 )
+		if (eof - ptr < max_len)
+		{
+			max_len = eof - ptr;
+		}
+		for (; max_len >= 1; max_len--)
+			if ((*buffer++ = *ptr++) == 0)
 				break;
-		*buffer = 0;		/* terminate (paranoia) */
+		*buffer = 0;			/* terminate (paranoia) */
 	}
 
 	/* Update sequential pointer */
 	fch->ptr = ptr;
 
 	return 0;
 }
 
-#endif			/* USE_FILECACHE */
+#endif /* USE_FILECACHE */
 
 
 /*
  | This section deals with checking that the .raw files are up to date
  | wrt to the .txt files.  Note that this function won't work for RISC OS 2
@@ -7244,37 +7871,41 @@
  | For this to work, the equivalent function (in init2.c) needs to be
  | #if-d out (and this function should be declared).  You'll probably
  | also need to zap the UNIX #includes at the top of the file
  */
 
-extern errr check_modification_date( int fd, cptr template_file )
+extern errr check_modification_date(int fd, cptr template_file)
 {
 	char raw_buf[1024];
 	char txt_buf[1024];
 	int i;
 	os_error *e;
 
-	if ( os_version() < 300 ) { return 0; }
+	if (os_version() < 300)
+	{
+		return 0;
+	}
 
 	/* Use OS_Args 7 to find out the pathname 'fd' refers to */
-	e = SWI
-	(
-		6, 0, SWI_OS_Args,
-		/* In: */
+	e = SWI(6, 0, SWI_OS_Args,
+			/* In: */
 			7,					/* Get path from filehandle */
 			fd,					/* file handle */
 			raw_buf,			/* buffer */
-			0,0,				/* unused */
+			0, 0,				/* unused */
 			1024				/* size of buffer */
-		/* No output regs used */
-	);
-	if ( e )	{ core( e->errmess ); }
+			/* No output regs used */
+		);
+	if (e)
+	{
+		core(e->errmess);
+	}
 
 	/* Build the path to the template_file */
-	path_build( txt_buf, 1024, ANGBAND_DIR_EDIT, template_file );
+	path_build(txt_buf, 1024, ANGBAND_DIR_EDIT, template_file);
 
-	i = file_is_newer( riscosify_name(txt_buf), raw_buf );
+	i = file_is_newer(riscosify_name(txt_buf), raw_buf);
 
 	return i;
 }
 
 
@@ -7291,125 +7922,134 @@
 static int *iclear_module = NULL;
 
 /*
  | Start the IClear hack
  */
-static void iclear_hack( void )
+static void iclear_hack(void)
 {
 	os_error *e;
 	int code = 0;
 	int *i;
 
 	/* Get base address of module */
-	e = SWI( 2,4, SWI_OS_Module, 18,"IClear", 0,0,0,&code );
-	if ( e || !code )
+	e = SWI(2, 4, SWI_OS_Module, 18, "IClear", 0, 0, 0, &code);
+	if (e || !code)
 		return;
 
 	/* Module size is at code!-4 */
-	i = (int*) code;
-	iclear_module = malloc( i[-1] + 4 );
-	if ( !iclear_module )
+	i = (int *)code;
+	iclear_module = malloc(i[-1] + 4);
+	if (!iclear_module)
 		return;
 
 	/* Copy the module */
 	*iclear_module = i[-1];
-	memcpy( iclear_module+1, (void*) code, i[-1] );
+	memcpy(iclear_module + 1, (void *)code, i[-1]);
 
 	/* Kill the current version */
-	e = SWI( 2,0, SWI_OS_Module, 4, "IClear" );
-	if ( e )
+	e = SWI(2, 0, SWI_OS_Module, 4, "IClear");
+	if (e)
 	{
 		free(iclear_module);
 		iclear_module = NULL;
 	}
 }
 
 
 /*
  | Remove the IClear hack
  */
-static void remove_iclear_hack( void )
+static void remove_iclear_hack(void)
 {
 	os_error *e;
 
-	if ( !iclear_module )
+	if (!iclear_module)
 		return;
 
-	e = SWI( 3,0, SWI_OS_Module, 11, iclear_module+1, *iclear_module );
-	if ( e )
-		debug("Failed to reinstall IClear: %s", e->errmess );
+	e = SWI(3, 0, SWI_OS_Module, 11, iclear_module + 1, *iclear_module);
+	if (e)
+		debug("Failed to reinstall IClear: %s", e->errmess);
 
-	free( iclear_module );
+	free(iclear_module);
 	iclear_module = NULL;
 }
 
 
 
 /*--------------------------------------------------------------------------*/
 
 /* Alarm functions */
-static int alarm_ackd = 0;			/* has the alarm been acknowledged? */
-static window_handle aw = 0;		/* alarm window */
+static int alarm_ackd = 0;	/* has the alarm been acknowledged? */
+static window_handle aw = 0;	/* alarm window */
 
 /*
  | Is the alarm due to go off, ie. is it enabled, and if so
  | does the current time match the alarm time?
  */
-static void check_alarm( BOOL desktop )
+static void check_alarm(BOOL desktop)
 {
 	time_t t;
 	struct tm *lt;
 
-	if ( !alarm_type ) { return; }
+	if (!alarm_type)
+	{
+		return;
+	}
 
-	time( &t );
-	lt = localtime( &t );
-	if ( lt->tm_hour == alarm_h && lt->tm_min == alarm_m )
+	time(&t);
+	lt = localtime(&t);
+	if (lt->tm_hour == alarm_h && lt->tm_min == alarm_m)
 	{
-		if ( !alarm_ackd ) { alarm_disp = 1; }
+		if (!alarm_ackd)
+		{
+			alarm_disp = 1;
+		}
 	}
 	else
 	{
 		alarm_ackd = 0;
 	}
 
 	/* Hack: if the alarm has already been acknowledged then don't re-trigger it */
-	if ( alarm_ackd ) { alarm_disp = 0; }
+	if (alarm_ackd)
+	{
+		alarm_disp = 0;
+	}
 
 	/* Hack: if the alarm should make a noise, then make one: */
-	if ( alarm_disp && alarm_beep==1 )
+	if (alarm_disp && alarm_beep == 1)
 	{
 		static int last_beep = 0;
 		int t = Time_Monotonic();
-		if ( t-last_beep >= 100 )
+		if (t - last_beep >= 100)
 		{
 			Sound_SysBeep();
 			last_beep = t;
 		}
 	}
 
 	/*
-	 | If we're in the desktop then fire the alarm off if need be.
-	 | If we aren't then do nothing - the fullscreen bored() function
-	 | will take care of the alarm.
+	   | If we're in the desktop then fire the alarm off if need be.
+	   | If we aren't then do nothing - the fullscreen bored() function
+	   | will take care of the alarm.
 	 */
-	if ( desktop && alarm_disp )
+	if (desktop && alarm_disp)
 		trigger_alarm_desktop();
 }
 
 
-static void ack_alarm( void )
+static void ack_alarm(void)
 {
-	if ( aw )
+	if (aw)
 	{
-		Window_Delete( aw );
+		Window_Delete(aw);
 		aw = 0;
 	}
 	alarm_ackd = 1;
 	alarm_disp = 0;
 
-	if ( alarm_type == 3 )
+	if (alarm_type == 3)
 	{
 		/* One shot alarm */
 		alarm_type = 0;
 		write_alarm_choices();
 	}
@@ -7418,43 +8058,46 @@
 
 
 /*
  | Click in the (desktop) alarm window
  */
-static BOOL Hnd_AlarmClick( event_pollblock *pb, void *ref )
+static BOOL Hnd_AlarmClick(event_pollblock * pb, void *ref)
 {
 	ack_alarm();
 	return TRUE;
 }
 
 
 /*
  | The alarm has gone off in the desktop
  */
-static void trigger_alarm_desktop( void )
+static void trigger_alarm_desktop(void)
 {
 	char buffer[120];
-	if ( aw )
+	if (aw)
 		return;
 
-	aw = Window_Create( "alarm", template_TITLEMIN );
-	if ( !aw ) { core("failed to create Alarm window!"); }
-	sprintf(buffer,"Alarm from %s",VARIANT);
-	Window_SetTitle(aw, buffer );
-	Event_Claim( event_CLICK, aw, 0, Hnd_AlarmClick, NULL );
-	Event_Claim( event_CLOSE, aw, event_ANY, Hnd_AlarmClick, NULL );
-
-	Icon_printf( aw, 1, "An alarm was set for %02d:%02d", alarm_h, alarm_m );
-	Icon_SetText( aw, 2, alarm_message );
-	Window_Show( aw, open_CENTERED );
+	aw = Window_Create("alarm", template_TITLEMIN);
+	if (!aw)
+	{
+		core("failed to create Alarm window!");
+	}
+	sprintf(buffer, "Alarm from %s", VARIANT);
+	Window_SetTitle(aw, buffer);
+	Event_Claim(event_CLICK, aw, 0, Hnd_AlarmClick, NULL);
+	Event_Claim(event_CLOSE, aw, event_ANY, Hnd_AlarmClick, NULL);
+
+	Icon_printf(aw, 1, "An alarm was set for %02d:%02d", alarm_h, alarm_m);
+	Icon_SetText(aw, 2, alarm_message);
+	Window_Show(aw, open_CENTERED);
 }
 
 
 /*--------------------------------------------------------------------------*/
 
 #ifndef FE_DEBUG_INFO
-static void show_debug_info( void )
+static void show_debug_info(void)
 {
 	core("main-acn internal logic error 004");
 }
 #else
 
